Bug 191878 - New port: devel/libosmo-abis - Shared code regarding the A-bis interface between BTS and BSC
New port: devel/libosmo-abis - Shared code regarding the A-bis interface betw...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: --- Affects Only Me
Assigned To: Kurt Jaeger
:
Depends on: 191877
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-15 14:25 UTC by Nikola Kolev
Modified: 2014-08-11 18:24 UTC (History)
2 users (show)

See Also:


Attachments
devel/libosmo-abis files (2.72 KB, text/plain)
2014-07-15 14:25 UTC, Nikola Kolev
no flags Details
fixed issues after make check-plist and make stage-qa (2.93 KB, text/plain)
2014-08-01 09:37 UTC, Nikola Kolev
no flags Details
libosmo-abis build log (14.22 KB, text/x-log)
2014-08-11 09:23 UTC, Nikola Kolev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nikola Kolev 2014-07-15 14:25:38 UTC
Created attachment 144688 [details]
devel/libosmo-abis files

This port has dependency new port submitted in https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=191877 
Please do not submit before it.
Comment 1 John Marino freebsd_committer 2014-07-31 16:20:37 UTC
You really should provide a much more detailed summary of what this port does and why it should be part of the tree.

In addition, can you provide test logs from poudriere or redports or at least the output from "make check-plist" followed by "make stage-qa" ?
Comment 2 John Marino freebsd_committer 2014-07-31 16:37:26 UTC
If you choose poudriere, make sure you use either "poudriere testport" or "poudriere bulk -t" in order to enable stage-qa checks, thanks!
Comment 3 Nikola Kolev 2014-08-01 09:37:10 UTC
Created attachment 145202 [details]
fixed issues after make check-plist and make stage-qa

This attachment contains fixed issues reported by 'make check-plist' and 'make stage-qa'. I missed to executed them before.

I want to port OpenBSC (http://openbsc.osmocom.org/trac/) to FreeBSD. OpenBSC is free software project implementing various parts of the GSM network. It can run a full minimal GSM network in a box. I have OpenBSC port files ready but first need to commit its dependencies. Libosmo-abis library is OpenBSC dependency. This is a library containing common/shared code regarding the A-bis interface between BTS and BSC. It implements drivers for mISDN and DAHDI based E1 cards, as well as some A-bis/IP dialects.
Comment 4 John Marino freebsd_committer 2014-08-01 10:53:43 UTC
Okay, thanks.  Let's hope there are no missing dependencies as the make commands can't test for that.
Comment 5 Kurt Jaeger freebsd_committer 2014-08-10 08:53:42 UTC
poudriere build on 10.0 fails for libosmo-abis:

http://people.freebsd.org/~pi/misc/libosmo-abis-0.2.0.log                       

Any ideas ?
Comment 6 Nikola Kolev 2014-08-11 09:23:54 UTC
Created attachment 145656 [details]
libosmo-abis build log
Comment 7 Nikola Kolev 2014-08-11 09:27:03 UTC
Please try with USES+= pkgconfig.
Comment 8 John Marino freebsd_committer 2014-08-11 09:30:06 UTC
(In reply to koue from comment #7)
> Please try with USES+= pkgconfig.

Kurt, yes that looks like the exact same error as bug 191879 and I determined it was due to missing pkgconfig dependency.
Comment 9 Kurt Jaeger freebsd_committer 2014-08-11 10:51:37 UTC
(In reply to John Marino from comment #8)
> (In reply to koue from comment #7)
> > Please try with USES+= pkgconfig.
> 
> Kurt, yes that looks like the exact same error as bug 191879 and I
> determined it was due to missing pkgconfig dependency.

Yes, that fixes it. I'll test it on 9.1 and 8.4 now.
Comment 10 commit-hook freebsd_committer 2014-08-11 18:23:28 UTC
A commit references this bug:

Author: pi
Date: Mon Aug 11 18:22:51 UTC 2014
New revision: 364634
URL: http://svnweb.freebsd.org/changeset/ports/364634

Log:
  New port: devel/libosmo-abis

  This is a library containing common/shared code regarding the A-bis
  interface between BTS and BSC. It implements drivers for mISDN and DAHDI
  based E1 cards, as well as some A-bis/IP dialects.

  WWW: http://openbsc.osmocom.org/trac/wiki/libosmo-abis

  PR:		191878
  Submitted by:	Nikola Kolev <koue@chaosophia.net>

Changes:
  head/devel/Makefile
  head/devel/libosmo-abis/
  head/devel/libosmo-abis/Makefile
  head/devel/libosmo-abis/distinfo
  head/devel/libosmo-abis/pkg-descr
  head/devel/libosmo-abis/pkg-plist